org.apache.solr.client.solrj.response.schema

## Class SchemaResponse.UpdateResponse

- java.lang.Object
- - org.apache.solr.client.solrj.SolrResponse
  - - org.apache.solr.client.solrj.response.SolrResponseBase
    - - org.apache.solr.client.solrj.response.schema.SchemaResponse.UpdateResponse

All Implemented Interfaces:
  Serializable

Enclosing class:
  SchemaResponse

    public static class SchemaResponse.UpdateResponse
    extends SolrResponseBase

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UpdateResponse()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setResponse(NamedList<Object> response)`

### Methods inherited from class org.apache.solr.client.solrj.response.SolrResponseBase

`getElapsedTime, getQTime, getRequestUrl, getResponse, getResponseHeader, getStatus, setElapsedTime, setRequestUrl, toString`

### Methods inherited from class org.apache.solr.client.solrj.SolrResponse

`deserialize, getException, serializable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdateResponse

    public UpdateResponse()

### Method Detail

#### setResponse

    public void setResponse(NamedList<Object> response)

Overrides:
  `setResponse` in class `SolrResponseBase`